- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- AppliedAutoProtectionPolicy
- State
- Try it!
Lists AppliedAutoProtectionPolicies in a given project and location.
HTTP request
GET https://backupdr.googleapis.com/v1beta/{parent=projects/*/locations/*}/appliedAutoProtectionPolicies The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The project and location for which to retrieve the list of applied policies. Format: projects/{project}/locations/{location} |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of applied policies to return in a single page. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. A filter expression that filters resources listed in the response. |
orderBy |
Optional. An expression that sorts the results in the response. |
Request body
The request body must be empty.
Response body
Response message for appliedAutoProtectionPolicies.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"appliedAutoProtectionPolicies": [
{
object ( |
| Fields | |
|---|---|
appliedAutoProtectionPolicies[] |
A list of the AppliedAutoProtectionPolicy resources found. |
nextPageToken |
A token that can be sent as |
unreachable[] |
Unordered list. Locations that could not be reached. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/cloud-backupdr
For more information, see the Authentication Overview.
AppliedAutoProtectionPolicy
AppliedAutoProtectionPolicy is a read-only view of AutoProtectionPolicy and AutoProtectionPolicyBinding resources that apply to a given workload project.
| JSON representation |
|---|
{ "name": string, "sourceBinding": string, "criteria": { object ( |
| Fields | |
|---|---|
name |
Identifier. Canonical resource name. Format: projects/{workload-project-number}/locations/{location}/appliedAutoProtectionPolicies/{id}. |
sourceBinding |
Output only. The full resource name of the AutoProtectionPolicyBinding that applies the source policy to a scope including this workload project. e.g., projects/{admin-project}/locations/{location}/autoProtectionPolicies/{policyId}/autoProtectionPolicyBindings/{bindingId}. |
criteria |
Output only. The criteria resources must meet for this rule to apply. From AutoProtectionPolicy.criteria. |
backupPlanDetails[] |
Output only. The set of backup plan configurations, mirroring the backupPlanDetails from the source AutoProtectionPolicy. Each element specifies a backup plan for a given resource type. |
updateTime |
Output only. Timestamp indicating when the binding was last modified. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
createTime |
Output only. Timestamp indicating when the binding was last created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
bindingEvaluationSummary |
Output only. The summary of the last policy application when the job has run. |
status |
Output only. The status of the applied auto protection policy. |
State
Represents the various states an applied auto protection policy can be in.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
State is not specified. |
CREATING |
The policy is in the process of being applied. |
ACTIVE |
The policy has been applied and is active. |
DELETION_INITIATED |
The policy is in the process of being removed. |